### Method

# Aravis Camera set_trigger

since: 0.8.0

#### Declaration [src]

    void
    arv_camera_set_trigger (
      ArvCamera* camera,
      const char* source,
      GError** error
    )

#### Description [src]

Configures the camera in trigger mode. Typical values for source are “Line1” or “Line2”. See the camera documentation for the allowed values. Source can also be “Software”. In this case, an acquisition is triggered by a call to arv_camera_software_trigger().

The trigger set is “FrameStart”. “AcquisitionStart” is used as a fallback if “FrameStart” is not present. All other triggers are disabled. “TriggerActivation” is set to rising edge.

For an advanced trigger configuration, use the underlying `ArvDevice` object returned by arv_camera_get_device().

Available since: 0.8.0

#### Parameters

`source`

  Type: `const char*`

  Trigger source as string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.